API Reference
Submit a deletion request for a company and any related data
DELETE
/v2/company https://api.cable.tech This operation will submit a request to delete the company and any related data.
The deletion request will be processed by the system and the data will be removed permanently from Cable’s system. Deletion requests are not processed immediately and may take some time to complete.
The status of the deletion request can be checked using the deletion request ID and the status endpoint.
Authentication
- Bearer token in the Authorization header
company:delete
Request body
-
company_idstring requiredThe unique identifier of the company
-
reasonstring requiredThe reason for deletion
Responses
200 Deletion request submitted successfully
-
company_idstringThe unique identifier of the company
-
deletion_request_idstringThe unique identifier of the deletion request
Errors
- 401 Unauthorized request
- 404 Person does not exist
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-